INEWS(1)

NAME
inews - send a Usenet article to the local news server for distribution

SYNOPSIS
inews [ -h ] [ -D ] [ -O ] [ -R ] [ -S ] [ header_flags ] [ input ]

DESCRIPTION
Inews reads a Usenet news article (perhaps with headers) from the named file or standard input if no file is given. It adds some headers and performs some consistency checks. If the article does not meet these checks (for example, too much quoting of old articles, or posting to non-existent newsgroups) then the article is rejected. If it passes the checks, inews sends the article to the local news server as specified in the inn.conf(5) file for distribution.

OPTIONS

-h  In the standard mode of operation, the input consists of the article headers, a blank line, and the message body. For compatibility with older software, the ``-h'' flag must be used. If there are no headers in the message, then this flag may be omitted.

-O  The default Organization header will be provided if none is present in the article or if the ``-o'' flag is not used. To prevent adding the default, use the ``-O'' flag.

-D  As a debugging aide, if the ``-D'' flag is used, the consistency checks will be performed, and the article will be sent to the standard output, rather then sent to the server.

-A -V -W
    For compatibility with C News, inews accepts, but ignores, the ``-A'', ``-V'' and ``-W'' flags.

-N  The C News ``-N'' flag is treated as the ``-D'' flag.

-S  If a file named .signature exists in the user's home directory, inews will try to append it to the end of the article. If the file cannot be read, or if it is too long (for example, more than four lines or one standard I/O buffer), or if some other problem occurs, then the article will not be posted. To suppress this action use the ``-S'' flag.

-R  If the ``-R'' flag is used then inews will reject any attempts to post control messages.

header_flags
    Several headers may be specified on the command line, shown in the synopsis above as header_flags. Each of these flags takes a single parameter; if the value is more than one word (for example, almost all Subject lines) then quotes must be used to prevent the shell from splitting it into multiple words. The options, and their equivalent header, are as follows:

        a       Approved
        c       Control
        d       Distribution
        e       Expires
        f       From
        w       Followup-To
        n       Newsgroups
        r       Reply-To
        t       Subject
        F       References
        o       Organization
        x       Path prefix